<?php
namespace Claromentis\Calendar;

$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"] ?: array()) + array("_1ac0966b7243" . "505442d5eca53" . "013e757" => base64_decode("RXhjZXB0aW9uIGR1cmluZyB0aGUgY2FsZW5kY" . "XIgc3luY2hyb25pemF0aW9uIGZyb20gdGhlIF" . "VSTDog"));
use Psr\Log\LoggerAwareInterface;
use Psr\Log\LoggerAwareTrait;
use Psr\Log\NullLogger;
class CalendarBackgroundTask implements LoggerAwareInterface
{
    use LoggerAwareTrait;
    protected $logger;
    protected Api $api;
    public function __construct(Api $api)
    {
        $this->api = $api;
        $this->logger = new NullLogger();
    }
    
    
    
    
    public function ProcessBackground()
    {
        try {
            $this->api->updateImportedCalendars();
        } catch (\Exception $_c35473364fa7a050299058f332ec29c1) {
            $this->logger->error($GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_1ac0966b" . "724350544" . "2d5eca530" . "13e757"] . $_c35473364fa7a050299058f332ec29c1->getMessage(), [$_c35473364fa7a050299058f332ec29c1]);
        }
    }
}